Atslēgas pārskats
| Atslēgas versija | V3 |
|---|---|
| Specifikācija | RFC 1991 · RFC 2440 · RFC 4880 |
| Statuss | Novecojusi – legacy, saglabāta tikai vēsturiskai saderībai |
| Primārā atslēga (sertificēšana, parakstīšana) | RSA 1024 · ID 1 |
| Šifrēšanas apakšatslēga | Nav: versijas 2 un 3 atslēgām nav apakšatslēgu; primārā RSA atslēga arī šifrē (C/S/E tiek atvasināts no algoritma) |
| Pirkstu nospiedums | 8C82CFA8E8957EA451848A6948E37C72 |
| Privātās atslēgas paroles frāze | synthetic-key-password |
Algoritmi un lietojums
RSA 1024: RSA ar moduli, kura garums ir 1024 biti; mūsdienās to uzskata par uzlaužamu. Saglabāta tikai vēsturiskai saderībai; GnuPG to pieņem, bet Sequoia un rPGP balstīti rīki noraida atslēgas, kas īsākas par 2048 bitiem, tāpat rīkojas arī keys2 atslēgu serveris.
Publiskā atslēga
Publiskā atslēga ar tās lietotāja ID un pašparakstu. Versijas 2 un 3 atslēgām nav apakšatslēgu: tā pati RSA atslēga pārbauda parakstus un tiek izmantota šifrēšanai šai testa identitātei.
Lejupielādēt → 522 baiti
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
Privātā atslēga
Privātā atslēga, kas aizsargāta ar iepriekš parādīto paroles frāzi. Publicēta tikai testēšanai: to var izmantot ikviens.
Lejupielādēt → 983 baiti
Rādīt
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
Atsaukšanas sertifikāts
Iepriekš ģenerēts atslēgas kompromitēšanas sertifikāts ar paraksta klasi 0x20, kas definēta RFC 1991 (“This is my key, and I have revoked it”) un ieviesta PGP 2.6. Tā importēšana atzīmē atslēgu kā atsauktu.
Lejupielādēt → 725 baiti
Rādīt
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
Faila test_1MB.bin paraksts
Atdalīts faila test_1MB.bin paraksts ASCII-armor formātā, kas izveidots ar šo atslēgu programmā CH-J Tools. Saglabājiet to kā test_1MB.bin.asc blakus testa failam.
Lejupielādēt → 273 baiti
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
Pārbaudīt parakstu
Versijas 3 un 2 atslēgām vajadzīga GnuPG 1.4 (gpg1) ar nepārprotamu MD5 atļauju vai vēsturiskā PGP programmatūra, vai CH-J Tools. Izmantojiet pagaidu GNUPGHOME, lai testa atslēga nenonāktu jūsu īstajā atslēgu saišķī:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin